<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: framework::sensoractuator::ParrotBldc Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1sensoractuator_1_1_parrot_bldc.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(10)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1sensoractuator_1_1_parrot_bldc-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::sensoractuator::ParrotBldc Class Reference<div class="ingroups"><a class="el" href="group___sensor_actuator.html">SensorActuator</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe integrant les drivers i2c Xufo.  
 <a href="classframework_1_1sensoractuator_1_1_parrot_bldc.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_parrot_bldc_8h_source.html">ParrotBldc.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::sensoractuator::ParrotBldc:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1sensoractuator_1_1_parrot_bldc.png" usemap="#framework::sensoractuator::ParrotBldc_map" alt=""/>
  <map id="framework::sensoractuator::ParrotBldc_map" name="framework::sensoractuator::ParrotBldc_map">
<area href="classframework_1_1sensoractuator_1_1_bldc.html" title="Virtual class for brushless drivers. " alt="framework::sensoractuator::Bldc" shape="rect" coords="0,112,227,136"/>
<area href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="framework::core::IODevice" shape="rect" coords="0,56,227,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,227,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5582bc93316372cc473972428c78fb50"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5582bc93316372cc473972428c78fb50"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ParrotBldc</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name)</td></tr>
<tr class="separator:a5582bc93316372cc473972428c78fb50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e23cb284ed915572891268a8a46d5dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e23cb284ed915572891268a8a46d5dc"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>GetVoltage</b> (void)</td></tr>
<tr class="separator:a5e23cb284ed915572891268a8a46d5dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1sensoractuator_1_1_bldc')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1sensoractuator_1_1_bldc.html">framework::sensoractuator::Bldc</a></td></tr>
<tr class="memitem:a7c946fd042c24e4eafcc17fc7c707d36 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c946fd042c24e4eafcc17fc7c707d36"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Bldc</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name)</td></tr>
<tr class="separator:a7c946fd042c24e4eafcc17fc7c707d36 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af79be7282cc2412802ed825b23611640 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af79be7282cc2412802ed825b23611640"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Lock</b> (void)</td></tr>
<tr class="separator:af79be7282cc2412802ed825b23611640 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0da864258e53b3f4f3d7b2490d5e7f30 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0da864258e53b3f4f3d7b2490d5e7f30"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Unlock</b> (void)</td></tr>
<tr class="separator:a0da864258e53b3f4f3d7b2490d5e7f30 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78e05151eeb2aba77ba00d8018a38b3f inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78e05151eeb2aba77ba00d8018a38b3f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetEnabled</b> (bool status)</td></tr>
<tr class="separator:a78e05151eeb2aba77ba00d8018a38b3f inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7682556b46e755f65d6293216706bbec inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7682556b46e755f65d6293216706bbec"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsEnabled</b> (void)</td></tr>
<tr class="separator:a7682556b46e755f65d6293216706bbec inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab726d178df7517cf3f7b5f4309c739f2 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab726d178df7517cf3f7b5f4309c739f2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetRoll</b> (float value)</td></tr>
<tr class="separator:ab726d178df7517cf3f7b5f4309c739f2 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f11ea865e6b74594665c4f81b92de58 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f11ea865e6b74594665c4f81b92de58"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetPitch</b> (float value)</td></tr>
<tr class="separator:a9f11ea865e6b74594665c4f81b92de58 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad172ce2e81243e117c0c6b66d2c75f31 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad172ce2e81243e117c0c6b66d2c75f31"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetYaw</b> (float value)</td></tr>
<tr class="separator:ad172ce2e81243e117c0c6b66d2c75f31 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3734aaf61cc2882948e9440a3a2985c8 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3734aaf61cc2882948e9440a3a2985c8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetThrust</b> (float value)</td></tr>
<tr class="separator:a3734aaf61cc2882948e9440a3a2985c8 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a702a553edd0fa565182aac2e4094650b inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a702a553edd0fa565182aac2e4094650b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetRollTrim</b> (float value)</td></tr>
<tr class="separator:a702a553edd0fa565182aac2e4094650b inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a693493fd8471c4e03ae448802dd7abf3 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a693493fd8471c4e03ae448802dd7abf3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetPitchTrim</b> (float value)</td></tr>
<tr class="separator:a693493fd8471c4e03ae448802dd7abf3 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7db70596a17598b51239c2032c268146 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7db70596a17598b51239c2032c268146"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetYawTrim</b> (float value)</td></tr>
<tr class="separator:a7db70596a17598b51239c2032c268146 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a788f2bf133850c8d8f38aa9d0c457b05 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a788f2bf133850c8d8f38aa9d0c457b05"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetThrustTrim</b> (float value)</td></tr>
<tr class="separator:a788f2bf133850c8d8f38aa9d0c457b05 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47a1f9f0e55473fdac84c0521c456163 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a47a1f9f0e55473fdac84c0521c456163"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>StartTrimValue</b> (void)</td></tr>
<tr class="separator:a47a1f9f0e55473fdac84c0521c456163 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80b3ca4271f4e90a75c12e89f24464ea inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80b3ca4271f4e90a75c12e89f24464ea"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>StartValue</b> (void)</td></tr>
<tr class="separator:a80b3ca4271f4e90a75c12e89f24464ea inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9a0eca8ecf26304e94022b9da579e2c inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9a0eca8ecf26304e94022b9da579e2c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Update</b> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">core::Time</a> time)</td></tr>
<tr class="separator:ab9a0eca8ecf26304e94022b9da579e2c inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb1e5c38d3b40da8712326a88e37a374 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb1e5c38d3b40da8712326a88e37a374"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UseDefaultPlot</b> (void)</td></tr>
<tr class="separator:afb1e5c38d3b40da8712326a88e37a374 inherit pub_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a95b56a32dc9a0af90da89ed351385b57 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a95b56a32dc9a0af90da89ed351385b57">IODevice</a> (<a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a95b56a32dc9a0af90da89ed351385b57 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a95b56a32dc9a0af90da89ed351385b57">More...</a><br/></td></tr>
<tr class="separator:a95b56a32dc9a0af90da89ed351385b57 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a> ()</td></tr>
<tr class="memdesc:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aca7bca58d80d05ade95107d40cc54edd">More...</a><br/></td></tr>
<tr class="separator:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab908771540c2c4ab3f061bde6729ec28 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#ab908771540c2c4ab3f061bde6729ec28">AddDeviceToLog</a> (<a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:ab908771540c2c4ab3f061bde6729ec28 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#ab908771540c2c4ab3f061bde6729ec28">More...</a><br/></td></tr>
<tr class="separator:ab908771540c2c4ab3f061bde6729ec28 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a2c0d3a6932a32e14fe0da2cb5d396c8f">Object</a> (<a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a2c0d3a6932a32e14fe0da2cb5d396c8f">More...</a><br/></td></tr>
<tr class="separator:a2c0d3a6932a32e14fe0da2cb5d396c8f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br/></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aa7f53a758a9fceb50c44751854929960">ObjectName</a> (void)</td></tr>
<tr class="memdesc:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#aa7f53a758a9fceb50c44751854929960">More...</a><br/></td></tr>
<tr class="separator:aa7f53a758a9fceb50c44751854929960 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a2374065f2e4c5fbf8878e6a29fbf16b7">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a2374065f2e4c5fbf8878e6a29fbf16b7">More...</a><br/></td></tr>
<tr class="separator:a2374065f2e4c5fbf8878e6a29fbf16b7 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a5c95035e30ff6514f1b419fb85448a8c">Parent</a> (void)</td></tr>
<tr class="memdesc:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a5c95035e30ff6514f1b419fb85448a8c">More...</a><br/></td></tr>
<tr class="separator:a5c95035e30ff6514f1b419fb85448a8c inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac0b037da8cdd7c40b211888442dacd3d">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ac0b037da8cdd7c40b211888442dacd3d">More...</a><br/></td></tr>
<tr class="separator:ac0b037da8cdd7c40b211888442dacd3d inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ad7d6e338d564ee997523131d3e53efb6">Childs</a> (void)</td></tr>
<tr class="memdesc:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#ad7d6e338d564ee997523131d3e53efb6">More...</a><br/></td></tr>
<tr class="separator:ad7d6e338d564ee997523131d3e53efb6 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8a83ff865df29be24a15e50d7382876e">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a8a83ff865df29be24a15e50d7382876e">More...</a><br/></td></tr>
<tr class="separator:a8a83ff865df29be24a15e50d7382876e inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a777476dd40eaf5ca7733c2e1aaeb90dd">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a777476dd40eaf5ca7733c2e1aaeb90dd">More...</a><br/></td></tr>
<tr class="separator:a777476dd40eaf5ca7733c2e1aaeb90dd inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aa57e9e38dcc7f0388071eb54c2b30be4">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#aa57e9e38dcc7f0388071eb54c2b30be4">More...</a><br/></td></tr>
<tr class="separator:aa57e9e38dcc7f0388071eb54c2b30be4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classframework_1_1sensoractuator_1_1_bldc"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1sensoractuator_1_1_bldc')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1sensoractuator_1_1_bldc.html">framework::sensoractuator::Bldc</a></td></tr>
<tr class="memitem:a187fdecd09c3ffa2b117da02fc67764f inherit pro_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a187fdecd09c3ffa2b117da02fc67764f"></a>
core::GridLayout *&#160;</td><td class="memItemRight" valign="bottom"><b>SetupLayout</b> (void)</td></tr>
<tr class="separator:a187fdecd09c3ffa2b117da02fc67764f inherit pro_methods_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classframework_1_1sensoractuator_1_1_bldc"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classframework_1_1sensoractuator_1_1_bldc')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classframework_1_1sensoractuator_1_1_bldc.html">framework::sensoractuator::Bldc</a></td></tr>
<tr class="memitem:a1d21cd948022efc40e6197d6fe66fb3a inherit pro_attribs_classframework_1_1sensoractuator_1_1_bldc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d21cd948022efc40e6197d6fe66fb3a"></a>
class Bldc_impl *&#160;</td><td class="memItemRight" valign="bottom"><b>pimpl_</b></td></tr>
<tr class="separator:a1d21cd948022efc40e6197d6fe66fb3a inherit pro_attribs_classframework_1_1sensoractuator_1_1_bldc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe integrant les drivers i2c Xufo. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><b>sensoractuator</b></li><li class="navelem"><a class="el" href="classframework_1_1sensoractuator_1_1_parrot_bldc.html">ParrotBldc</a></li>
    <li class="footer">Generated on Tue Mar 25 2014 13:01:10 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
